Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 296327 - gnome-extra/gnome-games-2.28.1 fail to build due to missing clutter gir files
Summary: gnome-extra/gnome-games-2.28.1 fail to build due to missing clutter gir files
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.28
  Show dependency tree
 
Reported: 2009-12-09 15:44 UTC by Priit Laes (IRC: plaes)
Modified: 2010-01-14 23:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Priit Laes (IRC: plaes) 2009-12-09 15:44:59 UTC
[snip]
  GEN    GGZ-1.0.typelib
  CCLD   libgames-support.la
  CCLD   libgames-support-gi.la
  CCLD   libgamescards.la
  GEN    GnomeGamesSupport-1.0.gir
Traceback (most recent call last):
  File "/usr/bin/g-ir-scanner", line 38, in <module>
    sys.exit(scanner_main(sys.argv))
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 277, in scanner_main
    transformer.register_include(include_obj)
  File "/usr/lib64/gobject-introspection/giscanner/transformer.py", line 111, in register_include
    filename = self._find_include(include)
  File "/usr/lib64/gobject-introspection/giscanner/transformer.py", line 129, in _find_include
    % (girname, searchdirs))
ValueError: Couldn't find include 'Clutter-1.0.gir' (search path: ['.', 'path=.', '/usr/local/share/gir-1.0', '/usr/share/gir-1.0', '/usr/share/gdm/gir-1.0', '/usr/share/gir-1.0', '/usr/share/gir-1.0', '/usr/share/gir-1.0'])
make[3]: *** [GnomeGamesSupport-1.0.gir] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/home/tmp/portage/gnome-extra/gnome-games-2.28.1/work/gnome-games-2.28.1/libgames-support'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/tmp/portage/gnome-extra/gnome-games-2.28.1/work/gnome-games-2.28.1/libgames-support'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/tmp/portage/gnome-extra/gnome-games-2.28.1/work/gnome-games-2.28.1'
make: *** [all] Error 2
[/snip]


plaes@sol ~ $ emerge --info
Portage 2.2_rc56 (default/linux/amd64/10.0/no-multilib, gcc-4.4.2, glibc-2.11-r1, 2.6.32-rc6 x86_64)
=================================================================
System uname: Linux-2.6.32-rc6-x86_64-Intel-R-_Core-TM-2_CPU_6320_@_1.86GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 09 Dec 2009 13:00:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4, 3.1.1-r1
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.0
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.5.3
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.64
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils:  2.20
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.3.5, 2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -ggdb -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=nocona -O2 -ggdb -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests collision-protect distlocks fixpackages multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="et_EE.UTF-8"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="en et"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/home/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/gnome /opt/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acpi adns alsa amd64 apache2 automount avahi berkdb bzip2 cairo cdr cli consolekit cracklib crypt cups curl cxx daap dbus device-mapper dga dri dvd dvdr eds encode exif faac faad fam ffmpeg fftw flac fontconfig fortran gdbm gif gimp git glib glitz gmp gnome gnome-keyring gnutls gphoto2 gsl gstreamer gtk hal havekernel hdf5 hdri iconv idn inotify ipv6 jpeg jpeg2k kpathsea kqemu kvm lapack laptop latex lcms lensfun libffi libnotify live lua lzma mad mmx mng mp3 mpeg mudflap nautilus ncurses network-cron nls nptl nptlonly nsplugin ogg openexr opengl openmp pam pch pcre pdf perl plotutils png pppd python qemu qt3support quicktime raw readline reflection sdl server session shaders smp spl sse sse2 ssl ssse3 startup-notification subversion svg sysfs tcpd tga theora threads tiff totem truetype unicode usb vim-syntax vorbis webdav x264 xcb xinerama xml xmp xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en et" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-12-09 22:02:10 UTC
do you have gobject-introspection, clutter, gir-reposotiry or any of the related pieces installed ? If so I guess there is an automagic dependency I didn't detect yet.
Comment 2 Priit Laes (IRC: plaes) 2009-12-10 10:17:16 UTC
[ebuild   R   ] dev-libs/gobject-introspection-0.6.5  USE="-debug" 595 kB [1]
[ebuild  N    ] media-libs/clutter-1.0.8  USE="gtk opengl -debug -doc -introspection" 1,971 kB [1]
[ebuild  N    ] dev-libs/gir-repository-0.6.5  USE="avahi dbus gnome-keyring gtk libnotify nautilus -atk -babl -gconf -goocanvas -gtksourceview -gupnp -libsoup -libwnck -pango -poppler -vte -webkit" 258 kB [1]
Comment 3 David Abbott gentoo-dev 2009-12-13 01:27:07 UTC
(In reply to comment #1)
> do you have gobject-introspection, clutter, gir-reposotiry or any of the
> related pieces installed ? If so I guess there is an automagic dependency I
> didn't detect yet.
> 

 emerge -pv gobject-introspection clutter gir-repository gnome-games

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] gnome-extra/gnome-games-2.28.1  USE="opengl sdl -artworkextra -guile -test" 0 kB [1]
[ebuild  N    ] dev-libs/gobject-introspection-0.6.5  USE="-debug" 595 kB [1]
[ebuild  N    ] media-libs/clutter-1.0.8  USE="doc gtk opengl -debug -introspection" 1,971 kB [1]
[ebuild  N    ] dev-libs/gir-repository-0.6.5  USE="avahi dbus gtk libnotify nautilus -atk -babl -gconf -gnome-keyring -goocanvas -gtksourceview -gupnp -libsoup -libwnck -pango -poppler -vte -webkit" 258 kB [1]

Total: 4 packages (3 new, 1 reinstall), Size of downloads: 2,823 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage/layman/gnome
Comment 4 Gilles Dartiguelongue gentoo-dev 2010-01-14 22:01:48 UTC
Ok, this problem occurs because you are missing clutter installer. But since we don't care about introspection stuff just yet, I'm just gonna kill those rules.
Comment 5 Gilles Dartiguelongue gentoo-dev 2010-01-14 23:06:54 UTC
actually there was a fine configure switch hidden in a macro. Should be fixed in 2.28.2 that I just moved to the tree. Thanks for reporting.